import {__} from "@wordpress/i18n";
import Badge from "../../../../../../fields/badge";

export const DATABASES = [
    {
        label: __("local", 'limb-chatbot'),
        value: 'local',
        icon: 'wordpress',
    },
    {
        label: __("pinecone", 'limb-chatbot'),
        value: 'pinecone',
        icon: 'pinecone',
    },
    {
        label: __("Qdrant", 'limb-chatbot'),
        value: 'qdrant',
        icon: 'qdrant',
        badge: <Badge label={__("Coming soon", 'limb-chatbot')} isSmall/>,
        disabled: true,
    },
];

export const ADVANCED_SETTINGS_REQUIRED_DATABASES = ['pinecone', 'qdrant'];

export const METRICS = [
    {
        label: __("cosine", 'limb-chatbot'),
        value: 'cosine',
        default: true,
    }
];